import 'package:google_mobile_ads/google_mobile_ads.dart';
import 'package:flutter_dotenv/flutter_dotenv.dart';

class AdHelper {
  static Future<BannerAd> createBannerAd(Function setStateCallback) async {
    await dotenv.load(fileName: ".env");
    final adUnitId = dotenv.env['AD_UNIT_ID'] ?? '';

    BannerAd bannerAd = BannerAd(
      adUnitId: adUnitId,
      size: AdSize.banner,
      request: AdRequest(),
      listener: BannerAdListener(
        onAdLoaded: (ad) {
          setStateCallback(() {});
        },
        onAdFailedToLoad: (ad, error) {
          print('Banner Ad failed to load: $error');
          ad.dispose();
        },
      ),
    );

    bannerAd.load();
    return bannerAd;
  }
}
